<?php
/**
 * PerfGroupeNodeMigration
 * 
 */
class PerfDpressNodeMigration extends PerfDocsNodeMigration {
  public function __construct() {
		
		$this->description = t('Migrate Document Presse Class');

		$this->fields = array(
			'fichier_pdf' => t('fichier_pdf'),
			'resume_retranscription' => t('resume_retranscription'),
    );

    $this->itemsfile = 'baseperf-dpress.xml';
    
    $this->item_xpath = '/ROOT/ITEMS/DOC_PRESSE';  // relative to document		
    
    parent::__construct();
    
    $this->addFieldMapping('field_type')->defaultValue('presse');

    $this->addFieldMapping('field_fichier_pdf', 'fichier_pdf')
        ->xpath('@FICHIER_PDF');

    $this->addFieldMapping('field_resume_retranscription', 'fichier_pdf')
        ->xpath('@RESUME_RETRANSCRIPTION');
    $this->addFieldMapping('field_resume_retranscription:format')->defaultValue('filtred_html');
  
    $this->addUnmigratedDestinations(array(
      'field_fichier_pdf:language', 'field_fichier_pdf:format',
      'field_resume_retranscription:language',
    ));
  }
  
  //   public function prepareRow($row){
  //     // $xml = $row->xml;
  //     parent::prepareRow($row);
  //  
  //  
  // }
	
	
}